Subject: Ticket Assigned - Delivery issue
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 22 Apr 2021 02:49:17 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery issue Hello, i need to get my case resolved asap!

(Thank you for your order. Order 7444987056 for Lee Cooper Slim Fit
Distressed... +7more item(s) for BHD  33.4 is confirmed. Expect delivery by
28-03-2021.)

I had ordered at centrepoint on 24th March, then i got a message on 26th
March To stay at home cuz the parcel was going to be delivered on that day!
From 26th March till today i have been waiting and raising complaints on ur
call centres and emails, u guys r putting me on tomorrows all the time!!
Seriously such a pathetic experience ever for home delivery order! Now i
need my order today in any way cuz i have to take it along with me
somewhere out of Bahrain!!! Even yesterday i raised a complain they said
today early morning it will b delivered! Now plzzzzzz resolve it! And get
this delivered by today at any cost!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2336587